<?php
/**
 * Clase Controler para Rol
 *
 * @package    IM
 * @subpackage RolCT
 * @author     Willy
 * @version    SVN: $Id: RolCT.class.php,v 1.1 2008/02/07 17:43:21 william.taype Exp $ 
 */
class RolCT implements interfaceCT{
  /**
  * Función para Guardar el  Rol
  *
  * @param $o_RolBean, objeto bean de Rol
  * @return booleam
  */
  public function guardar(&$o_RolBean){ 

  }
  
  /**
  * Función para Modificar el  Rol
  *
  * @param $o_RolBean, objeto bean de Rol
  * @return booleam
  */
  public function modificar(&$o_RolBean){

  }
  
  /**
  * Función para Eliminar el  Rol
  *
  * @param $o_RolBean, objeto bean de Rol
  * @return booleam
  */
  public function eliminar($o_RolBean){ 

  }
  
  /**
  * Función para Seleccionar el  Rol
  *
  * @param $o_RolBeans, objeto bean de Rol
  * @return booleam
  */
 
  public function seleccionar($o_RolBean){
  
    $o_RolDP = new RolDP($o_RolBean);        
    if($o_RolBean->getRolId()){
      return $o_RolDP->selectByPk();
    }else{
      return $o_RolDP->select();
    }
      
  }
  
}